Docs

Get Live Message

GET /connections/{connectionId}/live-message

GET/connections/{connectionId}/live-message

Reads one inbox message with its body, recipients and attachment details live from Microsoft, without storing it. messageId is the providerMessageId from LiveMail_GetLiveInbox. Attachments are listed but cannot be kept from here.

Path Parameters

FieldTypeRequiredDescription
connectionIduuidRequired

Query Parameters

FieldTypeRequiredDescription
messageIdstringOptional

Response

FieldTypeDescription
connectionIduuid
providerMessageIdstring| null
fromParticipantResponse
toLineParticipantResponse[]| null
ccLineParticipantResponse[]| null
subjectstring| null
sentAtdate-time
textBodystring| null
htmlBodystring| null
attachmentsGetLiveMessageResponseLiveAttachmentResponse[]| null

ParticipantResponse

FieldTypeDescription
namestring| null
emailstring| null

GetLiveMessageResponseLiveAttachmentResponse

FieldTypeDescription
fileNamestring| null
contentTypestring| null
sizeBytesinteger
isInlineboolean